/**
 * Copyright (c) 2020 ~ 2021 KylinSec Co., Ltd.
 * kiran-authentication-devices is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
 *
 * Author:     luoqing <luoqing@kylinsec.com.cn>
 */

#pragma once

#include <QJsonValue>
#include <QString>
#include "auth-enum.h"

namespace Kiran
{
namespace Utils
{
QList<DeviceInfo> enumerateDevices();

QString getDeviceName(const QString& idVendor, const QString& idProduct);

QJsonValue getValueFromJsonString(const QString& json, const QString& key);

QStringList getDriverBlackList();

bool driverEnabled(const QString& driverName);
}  // namespace Utils
}  // namespace Kiran
